SRC(1)

NAME
src - find source code for executable

SYNOPSIS
src [ -n ] [ -s symbol ] file ...

DESCRIPTION
Src examines the named files to find the corresponding source code, which is then sent to the editor using B (see sam((1))). If file is an rc((1)) script, the source is the file itself. If file is an executable, the source is defined to be the single file containing the definition of main and src will point the editor at the line that begins the definition. Src uses db((1)) to extract the symbol table information that identifies the source.

Src looks for each file in the current directory, in /bin, and in the subdirectories of /bin, in that order.

The -n flag causes src to print the file name but not send it to the editor. The -s flag identifies a symbol other than main to locate.

EXAMPLES
Find the source to the main routine in /bin/ed:

        src ed

Find the source for strcmp:

        src -s strcmp rc

SOURCE
/bin/src

SEE ALSO
db((1)), plumb((1)), sam((1)).